TestGccLinker (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.gcc.TestGccLinker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.gcc
Class TestGccLinker

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.gcc.TestGccLinker

All Implemented Interfaces:
  junit.framework.Test

    public class TestGccLinker

extends junit.framework.TestCase

Author:
  CurtA

Constructor Summary
`TestGccLinker(java.lang.String name)` Constructor

Method Summary
`protected void` | `tearDown()`
`void` | `testGetLinkerDarwinPlugin()`
`void` | `testGetLinkerDarwinShared()`
`void` | `testGetLinkerNonDarwinPlugin()`
`void` | `testGetLinkerNonDarwinShared()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestGccLinker

    public TestGccLinker(java.lang.String name)

  Constructor

  Parameters:
    `name` - test name

Method Detail

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testGetLinkerDarwinPlugin

    public void testGetLinkerDarwinPlugin()

### testGetLinkerDarwinShared

    public void testGetLinkerDarwinShared()

### testGetLinkerNonDarwinPlugin

    public void testGetLinkerNonDarwinPlugin()

### testGetLinkerNonDarwinShared

    public void testGetLinkerNonDarwinShared()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.